# $Revision: 1.35 $, $Date: 2002/08/17 20:59:38 $
Summary:	Concurrent Versions System - nserver
Summary(de):	Concurrent-Versioning-System - nserver
Summary(fr):	Un systme pour maintenir  jour des fichiers - nserver
Summary(pl):	Concurrent Versions System - nserver
Summary(tr):	Srm denetim sistemi - nserver
Name:		cvs-nserver
Version:	1.11.1.4
Release:	3
License:	GPL
Group:		Development/Version Control
Source0:	http://unc.dl.sourceforge.net/sourceforge/cvs-nserver/%{name}-%{version}.tar.gz
Source1:	%{name}.inetd
Source2:	cvs-pserver.inetd
Patch0:		%{name}-cvspasswd.patch
Patch1:		%{name}-info.patch
# outdated, but maybe will be needed for checkpasswd (outside programs):
Patch3:		%{name}-PAM_fix.patch
Patch4:		%{name}-am_ac.patch
Patch5:		%{name}-zlib.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_cvsroot	/home/cvsroot

%description
CVS is a version control system, which allows you to keep old versions
of files (usually source code), keep a log of who, when, and why
changes occurred, etc., like RCS or SCCS. Unlike the simpler systems,
CVS does not just operate on one file at a time or one directory at a
time, but operates on hierarchical collections of directories
consisting of version controlled files. CVS helps to manage releases
and to control the concurrent editing of source files among multiple
authors. CVS allows triggers to enable/log/control various operations
and works well over a wide area network.

%description -l de
CVS ist ein Frontend fr das RCS(1)-Revisionskontrollsystem, das den
Begriff der Revisionskontrolle von einer Sammlung von Dateien in einem
einzelnen Verzeichnis auf eine ganze Hierarchie ausweitet, bestehend
aus revisionskontrollierten Dateien. Diese Verzeichnisse und Dateien
lassen sich zu einer Software-Release kombinieren. CVS bietet die
Funktionen, die zur Verwaltung von Software-Releases und zur
berwachung der gleichzeitigen Bearbeitung von Quelldateien durch
mehrere Software- Entwickler notwendig sind.

%description -l fr
"CVS" signifie "Concurrent Version System". C'est un systme de
comparaison de versions de fichiers, qui peut garder une trace des
changements apports  des fichiers (le plus souvent, les fichiers des
sources d'un programme). CVS conserve seulement les diffrences, et
non l'intgralit d'un fichier rcent et d'un fichier plus ancien. A
chaque modification d'un fichier, CVS garde (entre autres) le nom de
la personne ayant fait la modification, la raison justifiant cette
modification, et la date  laquelle celle-ci a eu lieu. CVS est trs
utile pour grer la mise en commun des modifications apportes par
plusieurs personnes travaillant en parallle sur les mmes fichiers.
Au lieu de garder plusieurs versions des fichiers dans un seul
rpertoire, CVS cre une srie de rpertoires, chacun contenant une
nouvelle version des fichiers. Ces rpertoires et ces fichiers peuvent
ensuite tre regroups pour former la version la plus  jour du
logiciel. Installez ce package si vous avez besoin d'utiliser un
systme de contrle de version.

%description -l pl
CVS jest nakadk na rcs (Revision Control System, czyli w wolnym
tumaczeniu system kontroli wersji zasobw), ktry rozszerza
moliwoci rcs'a z narzdzia do kontroli zbioru plikw w pojedynczym
katalogu o moliwo kontroli zbioru hierarchicznie uoonych
katalogw z plikami. Z pomoc CVS w atwy sposb mona zarzdza kodem
rdowym opracowywanym przez nawet bardzo due zespy programistw
umoliwiajc ledzenie i kontrol wszystkich zmian w trakcie pracy nad
projektami i wypuszczaniem penych wersji oprogramowania (release).

%description -l tr
CVS (Concurrent Versioning System), tek bir dizindeki dosya
topluluunun srm denetimini, denetimi yaplm dizinlerin hiyerarik
topluluuna genileten rcs(1) srm denetim sisteminin n yzdr. Bu
dizin ve dosyalar, bir yazlm yayn oluturma amacyla biraraya
getirilebilir. CVS, bu yazlm yaynlarnn ynetilmesini ve kaynak
dosyalar bakmnn birden ok yazlm gelitiricisi tarafndan
ezamanl olarak yaplmasn kontrol etmek iin gereken ilevleri
salar.

%package -n cvs-nserver-client
Summary:	Concurrent Versions System - client
Summary(pl):	Concurrent Versions System - klient
Group:		Development/Version Control
Obsoletes:	cvs-npclient
Obsoletes:	cvs

%description -n cvs-nserver-client
CVS client.

%description -n cvs-nserver-client -l pl
Klient CVS.

%package -n cvs-nserver-common
Summary:	Concurrent Versions System - common files.
Summary(pl):	Concurrent Versions System - wsplne pliki.
Group:		Development/Version Control
Requires:	cvs-nserver-client
Obsoletes:	cvs-nserver
Obsoletes:	cvs
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	cvs-nserver-client
Requires(pre):	fileutils
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel

%description -n cvs-nserver-common
CVS - common server files.

%description -n cvs-nserver-common -l pl
Wsplne pliki serwerw CVS.

%package -n cvs-nserver-pserver
Summary:	Concurrent Versions System - pserver
Summary(pl):	Concurrent Versions System - pserver
Group:		Development/Version Control
Requires:	cvs-nserver-common
Obsoletes:	cvs-npserver
PreReq:		rc-inetd

%description -n cvs-nserver-pserver
CVS server - pserver files.

%description -n cvs-nserver-pserver -l pl
Serwer CVS - pliki pservera.

%package -n cvs-nserver-nserver
Summary:	Concurrent Versions System - nserver
Summary(pl):	Concurrent Versions System - nserver
Group:		Development/Version Control
Requires:	cvs-nserver-common
Obsoletes:	cvs-nserver
PreReq:		rc-inetd

%description -n cvs-nserver-nserver
CVS server - nserver files.

%description -n cvs-nserver-nserver -l pl
Serwer CVS - pliki nservera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch4 -p1
%patch5 -p1

%build
aclocal
%{__autoconf}
automake -a -c
%configure \
	--enable-encryption \
	--enable-client \
	--enable-server \
	--enable-setuid \
	--without-gssapi
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/sysconfig/rc-inetd,%{_cvsroot}}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/cvs-nserver
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/cvs-pserver

cat << EOF >$RPM_BUILD_ROOT%{_bindir}/cvs-pserver-script
#!/bin/sh
CVSPASSWD=%{_bindir}/cvspasswd \
exec %{_bindir}/cvs-pserver %{_cvsroot} -- \
%{_bindir}/cvschkpw %{_bindir}/cvs pserver
EOF

cat << EOF >$RPM_BUILD_ROOT%{_bindir}/cvs-nserver-script
#!/bin/sh
CVSPASSWD=%{_bindir}/cvspasswd \
exec %{_bindir}/cvs-nserver %{_cvsroot} -- \
%{_bindir}/cvschkpw %{_bindir}/cvs nserver
EOF

mv -f	$RPM_BUILD_ROOT%{_datadir}/cvs-nserver/contrib/rcs2log \
	$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n cvs-nserver-client
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun -n cvs-nserver-client
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%pre -n cvs-nserver-common
if [ -n "`getgid cvs`" ]; then
	if [ "`getgid cvs`" != "52" ]; then
		echo "Error: group cvs doesn't have gid=52. Correct this before installing cvs-nserver." 1>&2
		exit 1
	fi
else
	echo "Adding group cvs GID=52."
	/usr/sbin/groupadd -g 52 -r -f cvs
fi
if [ -n "`getgid cvsadmin`" ]; then
	if [ "`getgid cvsadmin`" != "53" ]; then
		echo "Error: group cvsadmin doesn't have gid=53. Correct this before installing cvs-nserver." 1>&2
		exit 1
	fi
else
	echo "Adding group cvsadmin GID=53."
	/usr/sbin/groupadd -g 53 -r -f cvsadmin
fi
if [ -n "`id -u cvs 2>/dev/null`" ]; then
	if [ "`id -u cvs`" != "52" ]; then
		echo "Error: user cvs doesn't have uid=52. Correct this before installing cvs-nserver." 1>&2
		exit 1
	fi
else
	echo "Adding user cvs UID=52."
	/usr/sbin/useradd -u 52 -r -d %{_cvsroot} -s /bin/false -c "CVS user" -g cvs cvs 1>&2
fi
if [ -n "`id -u cvsadmin 2>/dev/null`" ]; then
	if [ "`id -u cvsadmin`" != "53" ]; then
		echo "Error: user cvsadmin doesn't have uid=53. Correct this before installing cvs-nserver." 1>&2
		exit 1
	fi
else
	echo "Adding user cvsadmin UID=53."
	/usr/sbin/useradd -u 53 -r -d %{_cvsroot} -s /bin/false -c "CVS user" -g cvsadmin -G cvs cvsadmin 1>&2
fi
if [ "$1" = 1 ]; then
	echo "Initializing repository..."
	%{_bindir}/cvs -d :local:%{_cvsroot} init
	chown -R cvsadmin.cvsadmin %{_cvsroot}/CVSROOT
fi

%postun -n cvs-nserver-common
if [ "$1" = "0" ]; then
	echo "Removing user cvs."
	/usr/sbin/userdel cvs
	echo "Removing user cvsadmin."
	/usr/sbin/userdel cvsadmin
	echo "Removing group cvs."
	/usr/sbin/groupdel cvs
	echo "Removing group cvsadmin."
	/usr/sbin/groupdel cvsadmin
fi

%post -n cvs-nserver-pserver
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd reload
fi

%postun -n cvs-nserver-pserver
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd reload
fi

%post -n cvs-nserver-nserver
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd reload
fi

%postun -n cvs-nserver-nserver
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd reload
fi

%files -n cvs-nserver-client
%defattr(644,root,root,755)
%doc AUTHORS BUGS NEWS PROJECTS TODO FAQ
%attr(755,root,root) %{_bindir}/cvs
%attr(755,root,root) %{_bindir}/cvsbug
%{_infodir}/cvs*
%{_mandir}/man[15]/cvs.*
%{_mandir}/man8/cvsbug.8*

%files -n cvs-nserver-common
%defattr(644,root,root,755)
%attr(4754,cvsadmin,cvs) %{_bindir}/cvspasswd
%attr(755,root,root) %{_bindir}/cvschkpw
%attr(755,root,root) %{_bindir}/rcs2log
%dir %{_datadir}/cvs-nserver/contrib/*
%attr(770,cvsadmin,cvs) %dir %{_cvsroot}
%{_mandir}/man8/cvs-server.8*

%files -n cvs-nserver-pserver
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cvs-pserver*
/etc/sysconfig/rc-inetd/cvs-pserver
%{_mandir}/man8/cvs-pserver.8*

%files -n cvs-nserver-nserver
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cvs-nserver*
%doc NEWS.nserver FAQ.nserver
/etc/sysconfig/rc-inetd/cvs-nserver
%{_mandir}/man8/cvs-nserver.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cvs-nserver.spec,v $
Revision 1.35  2002/08/17 20:59:38  qboosh
- better messages in pre, added Requires(), new %%doc
- release 3

Revision 1.34  2002/07/20 13:54:28  wojrus
- rel 2
- STBR?

Revision 1.33  2002/07/20 12:06:45  wojrus
- missing Requires/Obsoletes

Revision 1.32  2002/07/20 11:47:22  wojrus
- moved common files from cvs-nserver to cvs-nserver-common
- s/cvs-npclient/cvs-nserver-client/
- s/cvs-nserver/cvs-nserver-nserver/
- s/cvs-npserver/cvs-nserver-pserver/

Revision 1.31  2002/07/20 08:54:44  wojrus
- moved rc-inetd reloading to %post

Revision 1.30  2002/07/20 08:36:29  wojrus
- creating users/groups before installing files

Revision 1.29  2002/05/21 23:12:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/05/19 09:27:43  misiek
- updated to 1.11.1.4

Revision 1.27  2002/04/25 16:08:36  arturs
fixed a small typo

Revision 1.26  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:12:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2002/01/16 11:54:30  filon
- fixed type in files
- release 3

Revision 1.22  2001/11/29 21:32:37  filon
- added FAQ's to %%doc
- fixed %%files
- release 2

Revision 1.21  2001/10/11 12:21:49  qboosh
- BuildRequires: autoconf

Revision 1.20  2001/09/05 19:40:59  kloczek
- reorganized: now from spec file are poduced packages cvs-nclient,
  cvs-npserver and cvs-nserver.

Revision 1.19  2001/08/13 17:23:10  kloczek
- updated to 1.11.1.3,
- temporary added --without-gssapi for allow build without kerberos support if
  heimdal-devel package is installed (it doe's not compiles now).

Revision 1.18  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.16  2001/07/23 07:21:11  blues
- cosmetics
- %{bindir}\rcs2log is back in nclient - that was only link to contrib
  (and duplicate entry)

Revision 1.15  2001/07/23 02:52:24  kloczek
- typo.

Revision 1.14  2001/07/23 02:42:47  kloczek
- spec adapterized,
- added info patch (and texinfo to BuildRequires rules),
- move rcs2log script to %%{_bindir} (added to cleint subpackage),
- some %doc to clent subpackage added also.

Revision 1.13  2001/07/22 22:10:32  blues
s/cvs-common/cvs-nclient/

Revision 1.12  2001/07/22 22:00:02  blues
- massive attack:
- separated into 4 packages
- inetd files merged (not tested)
- some cosmetics
NOTE: tests are needed

Revision 1.11  2001/07/21 15:04:39  blues
- added %preun
- separated client package - there should be separated nserver and pserver
  package too

Revision 1.10  2001/07/21 11:19:21  blues
1.11.1.2
- added --enable-setuid - now we have cvspasswd in package
- added making users in %pre
- cvspasswd patch - add DESTDIR and removes making cvspasswd with GID and
  UID - this is spec-work (where is no such users while building)

Revision 1.9  2001/07/16 22:30:16  blues
- 1.11.1.1
- ac 2.50 compliant
- %files list updated

Revision 1.8  2001/04/09 14:05:20  baggins
- test

Revision 1.7  2001/04/09 14:04:08  baggins
- updated to 1.10.8.4

Revision 1.6  2001/02/14 20:12:23  zagrodzki
- typo

Revision 1.5  2000/09/13 22:24:10  kloczek
- added PAM_fix patch - now cvs-nserver compiles correctly but %install is
  not finished.

Revision 1.4  2000/07/28 12:15:40  serek
added translated descriptions

Revision 1.3  2000/07/27 19:07:47  kloczek
- adapterized and partialy rewrited.
